<?php

// Set the header to xml
header('Content-type: text/xml; charset=utf-8');

// Include the xml handler
require_once('xml.php');

$xmlhandler = new XmlHandler('data/TableBookings.xml');

$answer = "";

if (isset($_GET['action']))
{
	if ($xmlhandler->checkDatabase()) 
	{					
		switch(strtolower($_GET['action']))
		{
			case "state":
				
				// TODO in a future release: add some security ;)
				$answer = $xmlhandler->getState(date("d.m.Y"), date("d.m.Y", time() + 7 * 86400));
			
				break;
			case "get":
			
				if (isset($_GET['date']) && $xmlhandler->validateDate($_GET['date']))
				{
					$answer = $xmlhandler->getBookings($_GET['date']);
				}
				else
				{
					$answer = $xmlhandler->createError(3, "Ungültiges Datumsformat: ".$_GET['date']);
				}
		
				break;
			case "set":
			
				if (isset($_GET['date']) && 
					$xmlhandler->validateDate($_GET['date']) &&
					isset($_GET['seats']) &&
					isset($_GET['surname']) &&
					trim($_GET['surname']) != "" &&
					isset($_GET['prename']) &&
					trim($_GET['prename']) != "" &&
					isset($_GET['contact']) &&
					isset($_GET['comment']))
				{
					$seats = preg_split('/,/', $_GET['seats']);
					
					$answer = $xmlhandler->addBooking($_GET['date'],
													  $seats,
													  $_GET['surname'],
													  $_GET['prename'],
													  $_GET['contact'],
													  $_GET['comment']);
				}
				else
				{
					$answer = $xmlhandler->createError(3, "Ungültige oder fehlende Parameter");
				}
		
				break;	
			default:
		
				$answer = $xmlhandler->createError(2, "Unknown request type: ".$_GET['action']);
				break;
		}
	}
	else
	{
		$answer = $xmlhandler->createError(4, "Database check failed");	
	}		
}
else
{
	// Error -> Return xml error struct
	$answer = $xmlhandler->createError(1, "Unknown request");
}

echo $answer;

?>